netftsample

## Class NetFTOptions

- java.lang.Object
- - netftsample.NetFTOptions

- All Implemented Interfaces:
    java.io.Serializable

      public class NetFTOptions
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetFTOptions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHistoryDuration()`
    `java.lang.String` | `getLastIPAddress()`
    `java.lang.String` | `getLastMACAddress()`
    `boolean` | `isAutoScaleHistory()`
    `boolean` | `isShowHistoryView()`
    `void` | `setAutoScaleHistory(boolean autoScaleHistory)`
    `void` | `setHistoryDuration(int lastHistoryDuration)`
    `void` | `setLastIPAddress(java.lang.String lastIPAddress)`
    `void` | `setLastMACAddress(java.lang.String lastMACAddress)`
    `void` | `setShowHistoryView(boolean showHistoryView)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetFTOptions

          public NetFTOptions()

  - ### Method Detail

    - #### isShowHistoryView

          public boolean isShowHistoryView()

      Returns:
        the showHistoryView

    - #### setShowHistoryView

          public void setShowHistoryView(boolean showHistoryView)

      Parameters:
        `showHistoryView` - the showHistoryView to set

    - #### getLastIPAddress

          public java.lang.String getLastIPAddress()

      Returns:
        the lastIPAddress

    - #### setLastIPAddress

          public void setLastIPAddress(java.lang.String lastIPAddress)

      Parameters:
        `lastIPAddress` - the lastIPAddress to set

    - #### getLastMACAddress

          public java.lang.String getLastMACAddress()

      Returns:
        the lastMACAddress

    - #### setLastMACAddress

          public void setLastMACAddress(java.lang.String lastMACAddress)

      Parameters:
        `lastMACAddress` - the lastMACAddress to set

    - #### isAutoScaleHistory

          public boolean isAutoScaleHistory()

      Returns:
        the autoScaleHistory

    - #### setAutoScaleHistory

          public void setAutoScaleHistory(boolean autoScaleHistory)

      Parameters:
        `autoScaleHistory` - the autoScaleHistory to set

    - #### getHistoryDuration

          public int getHistoryDuration()

      Returns:
        the lastHistoryDuration

    - #### setHistoryDuration

          public void setHistoryDuration(int lastHistoryDuration)

      Parameters:
        `lastHistoryDuration` - the lastHistoryDuration to set